Subject: [Enum] Final Rev: Attempt at Consensus on Carrier ENUM Questions

From: Patrik Fältström <[email-masked]>
Date: Sun, 26 Mar 2006 19:13:27 +0200

FYI: The result of hard work by enthusiastic people in Dalls!

Comments to the ENUM list.

     Patrik

Begin forwarded message:

> From: "Livingood, Jason" <[email-masked]>
> Date: 23 mar 2006 21.57.47 GMT+01:00
> To: "Alexander Mayrhofer" <[email-masked]>
> Cc: "Stastny Richard" <[email-masked]>, "Otmar Lendl"  
> <[email-masked]>, "Richard Shockey" <[email-masked]>, Patrik  
> Fältström <[email-masked]>, "Pfautz, Penn L, NEO" <[email-masked]>,  
> "Michael Haberler" <[email-masked]>, <[email-masked]>,  
> <[email-masked]>
> Subject: RE: Final Rev: Attempt at Consensus on Carrier ENUM Questions
>
> Here is a final copy of the Treaty of Dallas.  Text below or RTF  
> file attached.
>
> I will leave it up to our WG co-chairs or secretary to decide what  
> to post to the list and minutes regarding this.
>
> Regards and safe travels,
>
> Jason
> ===========
> Carrier/Infrastructure ENUM Points of Agreement -- 22 March 2006
>
> 1. There will be a long-term solution that does things "right" as  
> well as an interim solution that can be used by individual  
> countries to implement an interoperable carrier ENUM tree ASAP.
>
> 2. In order to project a unified approach to the "right" long-term  
> solution with other standards bodies and NRAs, there will be  
> explicit statements in the affected I-Ds that make it clear that  
> the interim solution will be deprecated upon achievement of the  
> long-term solution.
>
> 3. There will be a new I-D documenting the carrier ENUM apex.  This  
> will be done in such a way that the location of the infrastructure  
> designator shall not vary by country code; it will be the same for  
> the entire domain and in every country code.  The apex "e164i.arpa"  
> was suggested, but that is tentative only.  Everyone felt .arpa was  
> certainly the correct TLD.  This process will begin ASAP.
>
> 4. There will be an interim solution that will move ahead as an  
> ENUM working group item ASAP, following the BLR logic and wording  
> of the Michael Haberler's current I-D on this subject.  However,  
> some of the content which relates to DNS RRs in that draft will be  
> split out into a different, new draft.
>
> 5. This interim solution will state prominently in the I-D, that  
> this is in fact an interim solution that will be deprecated upon  
> approval (loosely timed) of the "right" long-term solution.  This  
> will be at or near the beginning of such an I-D in a special  
> section so that it can easily be located and will be noticed by  
> readers.
>
> 6. This interim solution will not use a TXT RR, but a new RR type  
> that will be moved ahead in the ENUM WG, with review and  
> consultation from the appropriate DNS WG.
>
> 7.  In summary, three I-Ds, all in the ENUM WG: document the long- 
> term solution in a carrier-ENUM I-D in the ENUM WG with specifics  
> around the new apex and solution, interim solution I-D in ENUM WG,  
> other BLR/RR-related I-D in the ENUM WG.
>
> 8.  Timing on new apex carrier ENUM I-D: create -00 ASAP as a WG  
> item.  Jason Livingood volunteers as document editor along with  
> Penn Pfautz and Richard Stastny as co-authors.  It should be noted  
> that this I-D does not necessarily describe carrier ENUM  
> requirements per se; it describes how to implement it in a specific  
> domain apex.
>
> 9.  Penn Pfautz's requirements I-D, already in process, should  
> continue as-is and move to WGLC soon.
>
> 10.  Timing on interim-solution I-D: add changes in updated  
> haberler-03 I-D, then adopt as WG item and restart as -00.  Move to  
> WGLC at or before IETF 67.
>
> 11.  Timing on BLR/RR-related I-D and new apex I-D:  create new I-D  
> ASAP.  Move to WGLC at or before IETF 67.
>
> 12.  All parties to this agreement will support this in good faith,  
> in its entirety.
> ==========

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: "Stastny Richard" <[email-masked]>
Date: Mon, 27 Mar 2006 13:16:42 +0200

Patrik and all,

Thank you very much and I apologize by everybody for
any insults made.

Regards

Richard Stastny

> -----Original Message-----
> From: Patrik Fältström [mailto:[email-masked]]
> Sent: Sunday, March 26, 2006 7:13 PM
> To: IETF ENUM WG
> Subject: [Enum] Final Rev: Attempt at Consensus on Carrier ENUM Questions
>